Bug 858744

Summary: upgrade kernel can't find root parittion - logical volume
Product: [Fedora] Fedora Reporter: Mike Lindner <mplmpl>
Component: preupgradeAssignee: Richard Hughes <hughsient>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 16CC: hughsient
Target Milestone: ---   
Target Release: ---   
Hardware: i686   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-02-13 09:47:32 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Mike Lindner 2012-09-19 11:07:02 EDT
Description of problem: Upgrading from Fedore 16 -> 17 vie preupgrade. Preupgrade fails to run installer because it is a dual boot machine. Followed instructions for modifying grub/menu.lst. Resulting kernel boots, selects /dev/sr0 as root, and fails with /dev/root does not exist.

Thinking there might be an issue with finding root volumne, I copied root=/dev/mapper/VolGroup-lv_root from Fedora 16 grub menu entry. That fails as well with /dev/mapper/VolGroup-lv_root does not exist.


Version-Release number of selected component (if applicable):


How reproducible: every time


Steps to Reproduce:
1. run preupgrade successfully
2. modify grub/menu.lst as per troubleshooting instructions on preupgrade wiki page
3. reboot
  
Actual results: root not found


Expected results: expect installer to boot


Additional info:
Comment 1 Mike Lindner 2012-09-25 11:04:41 EDT
Tried creating a LIVE usb boot drive to see what would happen. Installer correctly finds old Linux system, but does *not* give me an option to upgrade from Fedora 16 -> 17. Instead it only offers to replace it.

# cat /etc/redhat-release 
Fedora release 16 (Verne)

I don't know if this is a related problem or not, but at this point it looks like I am unable to upgrade by any means.

FYI the machine in question is a Dell Latitude D630 and in the past has been upgraded from Fedora 12 -> 13 -> 14 -> 15 -> 16.
Comment 2 Fedora End Of Life 2013-01-16 08:52:38 EST
This message is a reminder that Fedora 16 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 16. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '16'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 16's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 16 is end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" and open it against that version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Fedora End Of Life 2013-02-13 09:47:34 EST
Fedora 16 changed to end-of-life (EOL) status on 2013-02-12. Fedora 16 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.